apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: openobserve
  namespace: openobserve
spec:
  interval: 5m
  timeout: 10m
  values:
    universal-chart:
      services:
        openobserve:
          deployment:
            replicaCount:
              _default: 1
          envs:
            - name: ZO_HTTP_PORT
              value:
                _default: "5080"
            - name: ZO_LOCAL_MODE
              value:
                _default: "false"
            - name: ZO_META_STORE
              value:
                _default: postgres
            - name: ZO_CLUSTER_COORDINATOR
              value:
                _default: nats
            - name: ZO_NATS_REPLICAS
              value:
                _default: "1"
            - name: ZO_S3_PROVIDER
              value:
                _default: s3
            - name: ZO_S3_SERVER_URL
              value:
                _default: http://minio.minio.svc.cluster.local:9000
            - name: ZO_S3_BUCKET_NAME
              value:
                _default: open-observe
            - name: ZO_S3_REGION_NAME
              value:
                _default: ru-central1
            - name: ZO_TELEMETRY
              value:
                _default: "false"
          serviceAccount:
            enabled: true
            name:
              _default: openobserve-vault
          imagePullSecrets:
            create:
              _default: false
            name:
              _default: regcred
    openobserve:
      secret:
        create: false
        name: openobserve-secret
      nats:
        enabled: true
        replicaCount: 1
        persistence:
          enabled: true
          size: 10Gi
          storageClassName: local-path
      otelCollector:
        enabled: false
      vault:
        enabled: true
        role: openobserve
        authPath: auth/kubernetes
        secretPath: secrets/data/vault/apps/openobserve
